STR2STR(1)

NAME
str2str - console version of stream server

SYNOPSIS
str2str [-in stream] [-out stream [-out stream...]] [options]

DESCRIPTION
Input data from a stream and divide and output them to multiple streams The input stream can be serial, tcp client, tcp server, ntrip client, or file. The output stream can be serial, tcp client, tcp server, ntrip server, or file. str2str is a resident type application. To stop it, type ctr-c in console if run foreground or send signal SIGINT for background process. if run foreground or send signal SIGINT for background process. if both of the input stream and the output stream follow #format, the format of input messages are converted to output. To specify the output messages, use -msg option. If the option -in or -out omitted, stdin for input or stdout for output is used. Command options are as follows.

OPTIONS

-in  stream[#format] input  stream path and format

-out stream[#format] output stream path and format
    stream path
     serial : serial://port[:brate[:bsize[:parity[:stopb[:fctr]]]]]
     tcp server : tcpsvr://:port
     tcp client : tcpcli://addr[:port]
     ntrip client : ntrip://[user[:passwd]@]addr[:port][/mntpnt]
     ntrip server : ntrips://[:passwd@]addr[:port][/mntpnt[:str]] (only out)
     file : [file://]path[::T][::+start][::xseppd][::S=swap] format
     rtcm2 : RTCM 2 (only in)
     rtcm3 : RTCM 3
     nov : NovAtel OEMV/4/6,OEMStar (only in)
     oem3 : NovAtel OEM3 (only in)
     ubx : ublox LEA-4T/5T/6T (only in)
     ss2 : NovAtel Superstar II (only in)
     hemis : Hemisphere Eclipse/Crescent (only in)
     stq : SkyTraq S1315F (only in)
     gw10 : Furuno GW10 (only in)
     javad : Javad (only in)
     nvs : NVS BINR (only in)
     binex : BINEX (only in)
     rt17 : Trimble RT17 (only in)
     sbf : Septentrio SBF (only in)

-msg type[(tint)][,type[(tint)]...]
     rtcm message types and output intervals (s)

-sta sta
    station id

-opt opt
    receiver dependent options

-s  msec
    timeout time (ms) [10000]

-r  msec
    reconnect interval (ms) [10000]

-n  msec
    nmea request cycle (m) [0]

-f  sec
    file swap margin (s) [30]

-c  file
    receiver commands file [no]

-p  lat lon hgt
    station position (latitude/longitude/height) (deg,m)

-px x y z
    station position (x/y/z-ecef) (m)

-a  antinfo
    antenna info (separated by ,)

-i  rcvinfo
    receiver info (separated by ,)

-o  e n u
    antenna offset (e,n,u) (m)

-l  local_dir
    ftp/http local directory []

-x  proxy_addr
    http/ntrip proxy address [no]

-t  level
    trace level [0]

-h  print help